using System.Windows.Forms;

namespace EQIA
{
    /// <summary>
    /// A barebone form that stores a EQIA_Game object and hooks into it, simply create your new form like normal then
    /// replace the inheritance from System.Windows.Forms.Form to EQIA_Form.
    /// </summary>
    public class EQIA_Form : Form
    {
        private EQIA_Game myGame;

        /// <summary>
        /// The EQIA_Game that is linked to this form.
        /// </summary>
        public EQIA_Game Game { get { return myGame; } }

        /// <summary>
        /// Create a new EQIA_Form with the default game.
        /// </summary>
        public EQIA_Form()
        {
            myGame = new EQIA_Game();
            myGame.TargetForm = this;
        }

        /// <summary>
        /// Create a new EQIA_Form and link the game to the form.
        /// </summary>
        /// <param name="game">The game to link to this form.</param>
        public EQIA_Form(EQIA_Game game)
        {
            myGame = game;
            myGame.TargetForm = this;
        }

        /// <summary>
        /// Show this form and run the game.
        /// </summary>
        public void Run()
        {
            Show();
            myGame.Run();
        }
    }
}
